# Type alias AsObject

AsObject: {
amount: number;
arbitrator: string;
currency: string;
date: number;
extraDataMap: [string, string][];
hash: Uint8Array | string;
makerDepositTxId: string;
paymentMethod: string;
price: number;
takerDepositTxId: string;
}

#### Type declaration

- ##### amount: number

- ##### arbitrator: string

- ##### currency: string

- ##### date: number

- ##### extraDataMap: [string, string][]

- ##### hash: Uint8Array | string

- ##### makerDepositTxId: string

- ##### paymentMethod: string

- ##### price: number

- ##### takerDepositTxId: string

- Defined in src/protobuf/pb_pb.d.ts:2707

Generated using TypeDoc